#
# spec file for package xinetd (Version 2.3.11)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  tcpd
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm tcpd

Name:         xinetd
License:      Other License(s), see package
Group:        Productivity/Networking/System
Provides:     inet-daemon
Autoreqprov:  on
Version:      2.3.11
Release:      25
URL:          http://www.xinetd.org/
Summary:      Another 'inetd' with expanded functionality
Source0:      %{name}-%{version}.tar.bz2
Source2:      rc.xinetd
Source3:      xinetd.conf
Source4:      FAQ
Source5:      README.SuSE
Patch:        %{name}-%{version}-man.dif
Patch1:       %{name}-%{version}-ia64.dif
Patch4:       %{name}-%{version}-server_args-fix.diff
Patch5:       %{name}-%{version}-parse-fix.diff
Patch6:       %{name}-%{version}-check_from_solar_designer.diff
Patch7:       %{name}-%{version}-used_valgrind_to_fix.diff
Patch8:       %{name}-%{version}-close_listening_descriptor.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
xinetd takes the functionality of inetd and appends additional
opportunities:


- Access Control

- Prevention of 'denial-of-access' attacks

- Extensive logging abilities

- clear configuration file

Authors:
--------
    Panagiotis Tsirigotis <panos@cs.colorado.edu>
    Rob Braun <bbraun@synack.net>

SuSE series: n

%prep
%setup
%patch
%patch1
cp %{S:4} .
cp %{S:5} .
%patch4
%patch5
%patch6
%patch7
%patch8

%build
%{suse_update_config}
autoconf
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr \
                                  --sysconfdir=/etc \
                                  --mandir=%{_mandir}\
                                  --with-loadavg \
                                  --with-libwrap
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}
make install DAEMONDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=${RPM_BUILD_ROOT}/%{_mandir}
install -m 644 %{S:3} $RPM_BUILD_ROOT/etc/xinetd.conf
install -m 755 %{S:2} $RPM_BUILD_ROOT/etc/init.d/xinetd
ln -sf ../../etc/init.d/xinetd $RPM_BUILD_ROOT/usr/sbin/rcxinetd

%post
%{fillup_and_insserv xinetd}

%postun
%{insserv_cleanup}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGELOG COPYRIGHT FAQ README.SuSE
%doc %{_mandir}/*/*
/usr/sbin/*
/etc/init.d/xinetd
%config(noreplace) /etc/xinetd.conf

%changelog -n xinetd
* Wed Oct 29 2003 - postadal@suse.cz
- updated to version 2.3.11 (fixed a lot of security bugs) [#27081]
- removed obsoleted flag RECORD from xinetd.conf on line log_on_failure
- fixed bug in parsing config file [#22876]
- reconfig signal for xinetd is SIGHUP now [#20527]
- removed obsoleted reuse option from rcxinetd script
- added new fix from CVS (check_from_solar_designer, close_listening_descriptor
  and used_valgrind_to_fix)
* Tue Mar 12 2002 - postadal@suse.cz
- removed obsolete START_INETD variable [#14796]
* Mon Feb 25 2002 - postadal@suse.cz
- modified copyright in /etc/xinetd.conf & /etc/init.d/xinetd
* Fri Jan 11 2002 - cihlar@suse.cz
- fixed xinetd.conf to disable services with
  specified "id" [#12799]
* Wed Dec 12 2001 - cihlar@suse.cz
- removed START_XINETD
* Thu Nov 15 2001 - cihlar@suse.cz
- added service nntp/leafnode to xinetd.conf
* Tue Sep 18 2001 - cihlar@suse.cz
- updated to version 2.3.3:
  1) Fixed the filelog problem of printing garbage
  2) Fixed the RPC parser to correctly handle RPC version
  ranges again
* Mon Aug 20 2001 - cihlar@suse.cz
- updated to version 2.3.2
* Thu Aug 16 2001 - cihlar@suse.cz
- updated to version 2.3.1
- removed obsolete audit patch
* Wed Aug 01 2001 - cihlar@suse.cz
- updated to version 2.3.0
- added audit patch
- improved patch for kernels without ipv6
  (per_source works now)
- added FAQ
* Fri Jun 22 2001 - cihlar@suse.cz
- stop daemon by killproc -QUIT, not -TERM
* Thu Jun 21 2001 - cihlar@suse.cz
- fixed security bugs: owerflow, umask and added <=0
  in srtx_* functions - diff of Sebastian Krahmer
* Thu Jun 14 2001 - cihlar@suse.cz
- provides inet-daemon [#8675]
* Mon Jun 04 2001 - cihlar@suse.cz
- fixed rcxinetd [#8631]
* Mon May 21 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Thu Apr 26 2001 - draht@suse.de
- added option -reuse to start script to enable a restart of xinetd
  without killing processes.
* Fri Apr 13 2001 - cihlar@suse.cz
- fixed init script by new skeleton
* Wed Mar 21 2001 - cihlar@suse.cz
- compile with -inet6
- fixed to work with kernels without ipv6 [#6792]
* Thu Feb 15 2001 - cihlar@suse.cz
- moved whole files from dif
- use ipop3d instead of popper in /etc/xinetd.conf [#6255]
- use in.ftpd instead of wu.ftpd in /etc/xinetd.conf
- improved startscript
- added suse_update_config
- use RPM_OPT_FLAGS
- removed patch for ipv6 - it works better without it
* Wed Feb 14 2001 - cihlar@suse.cz
- applied patch for ipv6
- bzipped sources
* Mon Jan 08 2001 - smid@suse.cz
- tcp wrapper support added
* Wed Dec 06 2000 - smid@suse.cz
- fixed typo in xinetd.conf [#4485]
* Tue Nov 28 2000 - ro@suse.de
- startscript fixed
* Tue Jun 20 2000 - smid@suse.cz
- upgrade to 2.1.8.8p3
* Tue May 16 2000 - smid@suse.cz
- upgrade to 2.1.8.8p2
- buildroot added
* Wed Mar 01 2000 - choeger@suse.de
- new version with ipv6 support and loadavg support
* Tue Jan 04 2000 - choeger@suse.de
- disabled ident service per default
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 05 1999 - choeger@suse.de
- changed to version 2.1.8.6b5, because 2.2.1 is no
  longer maintained
* Thu Dec 10 1998 - choeger@suse.de
- added _correct_ symlink to /usr/sbin/rcxinetd :-)
* Thu Dec 10 1998 - bs@suse.de
- added symlink /usr/sbin/rxxinetd
* Wed Dec 09 1998 - choeger@suse.de
- made init-scripts complete
* Mon Nov 16 1998 - ro@suse.de
- added -lcrypt if available
* Thu Nov 12 1998 - choeger@suse.de
- security fix for /tmp racecondition
* Wed Feb 04 1998 - choeger@suse.de
- v2.2.1 with optimated xinetd.conf
* Fri Oct 31 1997 - choeger@suse.de
- new package, 2.2.1
